org.jetlang.remote.core

## Class CloseableChannel.Group

- java.lang.Object
- - org.jetlang.remote.core.CloseableChannel.Group

Enclosing class:
  CloseableChannel<T>

    public static class CloseableChannel.Group
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Group()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> CloseableChannel<T>` `add(org.jetlang.channels.Channel<T> channel)`
`void` `closeAndClear()`
`void` `remove(CloseableChannel<?> toRemove)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Group

    public Group()

### Method Detail

#### add

    public <T> CloseableChannel<T> add(org.jetlang.channels.Channel<T> channel)

#### closeAndClear

    public void closeAndClear()

#### remove

    public void remove(CloseableChannel<?> toRemove)